%define name    qsampler
%define version 0.4.2svn3099
%define release 20

%define _prefix	/usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

Summary:	A LinuxSampler Qt GUI interface
Name: qsampler
Version: 0.4.2svn3099
Release: 21.rncbc.suse
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.bz2
URL:		http://qsampler.sourceforge.net/
#Packager:	rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

#BuildRequires:	libqt4-devel >= 4.4
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	qt5-qtbase-devel >= 5.1, qt5-linguist
BuildRequires:	qt5-qtx11extras-devel >= 5.1
%else
BuildRequires:	pkg-config
BuildRequires:	libqt5-qtbase-devel >= 5.1, libqt5-linguist
BuildRequires:	libqt5-qtx11extras-devel >= 5.1
%endif
BuildRequires:	liblscp-devel >= 0.5.6
BuildRequires:	libgig-devel >= 3.3.0

%description
Qsampler is a LinuxSampler GUI front-end application written in C++ around
the Qt framework using Qt Designer. For the moment it just wraps the client
interface of LinuxSampler Control Protocol (LSCP) (http://www.linuxsampler.org).

%prep
%setup
[ -x ./autogen.sh ] && ./autogen.sh

%build
%configure
%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
#dir %{_datadir}/mime
#dir %{_datadir}/mime/packages
#dir %{_datadir}/applications
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/32x32/mimetypes
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%dir %{_datadir}/icons/hicolor/scalable/mimetypes
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%dir %{_datadir}/appdata
#dir %{_datadir}/man
#dir %{_datadir}/man/man1
%{_bindir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/mimetypes/application-x-%{name}*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}*.svg
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/man/man1/%{name}*.1.gz

%changelog
* Mon Jan 30 2017 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.4.2svn3099
- latest SVN trunk snapshot.
* Mon Nov 14 2016 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.4.2
- A Fall'16 release.
* Wed Sep 14 2016 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.4.1
- End of Summer'16 release.
* Tue Apr  5 2016 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.4.0
- Spring'16 release frenzy.
* Sun Jul 19 2015 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.3.1
- Summer'15 release frenzy.
* Wed Mar 25 2015 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.3.0
- Pre-LAC2015 release frenzy.
* Tue Dec 31 2013 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.2.3
- A fifth of a Jubilee release.
* Mon May 17 2010 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Standard desktop icon fixing. 
* Sat Aug  1 2009 Rui Nuno Capela <rncbc@users.sourceforge.net> 0.2.2
- New 0.2.2 release.
* Thu Dec 6 2007 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Qt4 migration complete.
* Mon Jun 25 2007 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Application icon is now installed to (prefix)/share/pixmaps.
- Declared fundamental build and run-time requirements.
- Destination install directory prefix is now in spec.
- Spec is now a bit more openSUSE compliant.
* Mon Jan 15 2007 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Added sampler channel FX send support at session save code-level.
- Global sampler volume slider/spinbox combo is now featured.
* Sun Dec 17 2006 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Added preliminary MIDI instrument mapping support.
* Thu Jun 01 2006 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Take a chance for a new 0.1.3 release.
- Changed deprecated copyright attribute to license.
* Wed Aug 24 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Prepared auto-generation from configure.
* Tue Aug 16 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Get in sync with latest offerings from liblscp (0.3.1) and
  specially libgig (2.0.2) which broke previous ABI, somewhat.
* Thu Jun 23 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Even minor workings needs a rest.
* Mon Jun 13 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- The mantra of bugfixes.
* Mon May 23 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Device configuration breakthrough.
* Fri Mar 4 2005 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Fifth alpha-release.
* Tue Nov 16 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Prepared for the fourth alpha release.
* Tue Nov 16 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Prepared for the fourth alpha release.
* Wed Jun 2 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created initial qsampler.spec
